summaryrefslogtreecommitdiff
path: root/extra/chemtool
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/chemtool
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/chemtool')
-rw-r--r--extra/chemtool/PKGBUILD24
-rw-r--r--extra/chemtool/chemtool.desktop13
2 files changed, 37 insertions, 0 deletions
diff --git a/extra/chemtool/PKGBUILD b/extra/chemtool/PKGBUILD
new file mode 100644
index 000000000..b3992140d
--- /dev/null
+++ b/extra/chemtool/PKGBUILD
@@ -0,0 +1,24 @@
+# $Id: PKGBUILD 78228 2010-04-20 03:46:15Z dgriffiths $
+#Maintainer: Tobias Powalowski <tpowa@archlinux.org>
+
+pkgname=chemtool
+pkgver=1.6.12
+pkgrel=3
+pkgdesc="A small program for drawing chemical structures"
+arch=(i686 x86_64)
+license=('GPL2')
+url="http://ruby.chemie.uni-freiburg.de/~martin/chemtool/chemtool.html"
+depends=('gtk2')
+options=(!libtool)
+source=(http://ruby.chemie.uni-freiburg.de/~martin/${pkgname}/${pkgname}-${pkgver}.tar.gz chemtool.desktop)
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr --mandir=/usr/share/man
+ make || return 1
+ make DESTDIR=${pkgdir}/ install
+ install -D -m644 gnome/chemtool.png ${pkgdir}/usr/share/pixmaps/chemtool.png
+ install -D -m644 ${srcdir}/chemtool.desktop ${pkgdir}/usr/share/applications/chemtool.desktop
+}
+md5sums=('f9e0633cbda09fcfe5a4ea4c56bcd460'
+ '8cbb6f7021bd5aaa6f6a31fc4d95a06e')
diff --git a/extra/chemtool/chemtool.desktop b/extra/chemtool/chemtool.desktop
new file mode 100644
index 000000000..a93770aea
--- /dev/null
+++ b/extra/chemtool/chemtool.desktop
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Name=Chemtool
+Comment=Molecules 2D drawing
+Name[cs_CZ.ISO8859-2]=Chemtool
+Comment[cs_CZ.ISO8859-2]=Editor molekul
+Comment[de_DE.ISO8859-1]=Moleküleditor
+Exec=chemtool
+Icon=chemtool.png
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Graphics;2DGraphics;GTK;
+MimeType=application/x-chemtool;